EnhancedFeed (gCube Social Networking Library 1.11.0-SNAPSHOT API)
Date: 2016-04-01

org.gcube.portal.databook.shared

## Class EnhancedFeed

- java.lang.Object
- - org.gcube.portal.databook.shared.EnhancedFeed

- All Implemented Interfaces:
    Serializable

      public class EnhancedFeed
      extends Object
      implements Serializable

  Author:
    massi This class contains addtional user related information about a Feed e.g. if this user has liked it
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnhancedFeed()`
    `EnhancedFeed(Feed feed, boolean liked, boolean isUsers)`
    `EnhancedFeed(Feed feed, boolean liked, boolean isUsers, ArrayList<Comment> comments)`
    `EnhancedFeed(Feed feed, boolean liked, boolean isUsers, ArrayList<Comment> comments, ArrayList<Attachment> attachments)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<Attachment>` | `getAttachments()`
    `ArrayList<Comment>` | `getComments()`
    `Feed` | `getFeed()`
    `boolean` | `isLiked()`
    `boolean` | `isUsers()`
    `void` | `setAttachments(ArrayList<Attachment> attachments)`
    `void` | `setComments(ArrayList<Comment> comments)`
    `void` | `setFeed(Feed feed)`
    `void` | `setLiked(boolean liked)`
    `void` | `setUsers(boolean isUsers)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnhancedFeed

          public EnhancedFeed()

    - #### EnhancedFeed

          public EnhancedFeed(Feed feed,
                      boolean liked,
                      boolean isUsers)

    - #### EnhancedFeed

          public EnhancedFeed(Feed feed,
                      boolean liked,
                      boolean isUsers,
                      ArrayList<Comment> comments)

    - #### EnhancedFeed

          public EnhancedFeed(Feed feed,
                      boolean liked,
                      boolean isUsers,
                      ArrayList<Comment> comments,
                      ArrayList<Attachment> attachments)

  - ### Method Detail

    - #### getComments

          public ArrayList<Comment> getComments()

    - #### setComments

          public void setComments(ArrayList<Comment> comments)

    - #### getFeed

          public Feed getFeed()

    - #### setFeed

          public void setFeed(Feed feed)

    - #### isLiked

          public boolean isLiked()

    - #### setLiked

          public void setLiked(boolean liked)

    - #### isUsers

          public boolean isUsers()

    - #### setUsers

          public void setUsers(boolean isUsers)

    - #### getAttachments

          public ArrayList<Attachment> getAttachments()

    - #### setAttachments

          public void setAttachments(ArrayList<Attachment> attachments)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.